# HeyThings SDK APP demo for ESP32

本源码是基于HeyThings RTOS SDK的应用层开发demo，用于平台接入开发者评估和了解SDK的简单使用。

## 乐鑫esp-idf平台下使用idf.py编译

### 学习使用esp-idf

ESP-IDF是ESP32芯片的官方开发框架，新版本的ESP8266也已经使用该框架。关于esp-idf的基础开发环境搭建及其SDK的使用说明请参考ESP官方文档资源。

https://github.com/espressif/esp-idf  
https://docs.espressif.com/projects/esp-idf/zh_CN/latest/index.html

在可以编译烧录并运行乐鑫SDK的example（如get-started/hello_world）后再来编译使用本例程。

当前HeyThings RTOS SDK在ESP32平台上使用的esp-idf版本为v4.2（v4.2的tag，非release/v4.2分支）。

### 使用idf.py工具编译烧录

esp32_demo在ESP平台下使用的是其cmake编译系统，编译工具为`idf.py`。

编译调试的路径：`demo/esp32_demo`

`cd`到该路径下，执行命令  
编译：`idf.py build`  
运行：`idf.py flash`  
查看：`idf.py monitor`  
或者组合命令：`idf.py build flash monitor`
