#include "schema/devDiagnosis/dev_diagnosis_service.h"

/**
 * @brief properties write callback of dev diagnosis service
 * @param count      [the number of properties will be written]
 * @param enumerate  [the iid enumeration of properties will be written]
 * @param properties [properties structure with written content]
 * @return int       [be writed result, 0 means success]
 */
int dev_diagnosis_properties_write_cb(size_t count, unsigned int *enumerate, struct dev_diagnosis_properties *properties)
{
    // This is handled by the application layer

    return -1;
}

/**
 * @brief upload log cmd action call callback of dev diagnosis service
 * @param ctx    [action context]
 * @param action [upload log cmd action in]
 * @return int   [action call handle result, 0 means success]
 */
int dev_diagnosis_upload_log_cmd_call_cb(struct hey_action_ctx *ctx, struct dev_diagnosis_upload_log_cmd_in *action)
{
    // This is handled by the application layer
    // ctx needs to be saved by yourself if you call return asynchronously

    return -1;
}
